io.undertow.server.handlers

## Class SameSiteCookieHandler

- java.lang.Object
- - io.undertow.server.handlers.SameSiteCookieHandler

All Implemented Interfaces:
  HttpHandler

    public class SameSiteCookieHandler
    extends Object
    implements HttpHandler

Handler that will set the SameSite flag to response cookies

Author:
  Richard Opalka

### Nested Class Summary

Nested Classes
`static class` `SameSiteCookieHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`SameSiteCookieHandler(HttpHandler next, String mode)`
`SameSiteCookieHandler(HttpHandler next, String mode, String cookiePattern)`
`SameSiteCookieHandler(HttpHandler next, String mode, String cookiePattern, boolean caseSensitive)`
`SameSiteCookieHandler(HttpHandler next, String mode, String cookiePattern, boolean caseSensitive, boolean enableClientChecker, boolean addSecureForNone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SameSiteCookieHandler

    public SameSiteCookieHandler(HttpHandler next,
                                 String mode)

#### SameSiteCookieHandler

    public SameSiteCookieHandler(HttpHandler next,
                                 String mode,
                                 String cookiePattern)

#### SameSiteCookieHandler

    public SameSiteCookieHandler(HttpHandler next,
                                 String mode,
                                 String cookiePattern,
                                 boolean caseSensitive)

#### SameSiteCookieHandler

    public SameSiteCookieHandler(HttpHandler next,
                                 String mode,
                                 String cookiePattern,
                                 boolean caseSensitive,
                                 boolean enableClientChecker,
                                 boolean addSecureForNone)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`